Register a New User
To create a new account, setaction to register:
Validation Rules
Login
To authenticate an existing user, setaction to login:
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
action to register:
curl -X POST https://fucksornot.com/api/auth \
-H "Content-Type: application/json" \
-d '{
"action": "register",
"email": "user@example.com",
"username": "johndoe",
"password": "SecurePassword123!"
}'
const response = await fetch('https://fucksornot.com/api/auth', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
action: 'register',
email: 'user@example.com',
username: 'johndoe',
password: 'SecurePassword123!'
})
});
| Field | Rules |
|---|---|
email | Valid email format |
username | 3-30 characters, alphanumeric and underscore only |
password | Minimum 8 characters, complexity requirements |
action to login:
curl -X POST https://fucksornot.com/api/auth \
-H "Content-Type: application/json" \
-d '{
"action": "login",
"email": "user@example.com",
"password": "SecurePassword123!"
}'
const response = await fetch('https://fucksornot.com/api/auth', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
action: 'login',
email: 'user@example.com',
password: 'SecurePassword123!'
})
});
{
"action": "login",
"email": "user@example.com",
"password": "SecurePassword123!",
"mfaCode": "123456"
}
{
"user": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"username": "johndoe",
"email": "user@example.com"
},
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"mfaRequired": false
}
{
"mfaRequired": true,
"userId": "user-uuid"
}